<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
	
}

t3lib_extMgm::allowTableOnStandardPages('tx_mediaelements_item');
$TCA['tx_mediaelements_item'] = array (
	'ctrl' => array (
		'title'     => 'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item',		
		'label'     => 'title',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY crdate',
		'sortby' => 'sorting',		
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
			'starttime' => 'starttime',	
			'endtime' => 'endtime',	
			'fe_group' => 'fe_group',
		),
		'dividers2tabs' => true, 
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile'          => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_mediaelements_item.gif',
	),
);


t3lib_div::loadTCA('tt_content');
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1']='layout,select_key,pages';


t3lib_extMgm::addPlugin(array(
	'LLL:EXT:mediaelements/locallang_db.xml:tt_content.list_type_pi1',
	$_EXTKEY . '_pi1',
	t3lib_extMgm::extRelPath($_EXTKEY) . 'ext_icon.gif'
),'list_type');

$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1'] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($_EXTKEY.'_pi1', 'FILE:EXT:'.$_EXTKEY.'/flexform_pi1.xml');

$tempColumns = array (
	'tx_mediaelements_playlist' =>  array (		
		'exclude' =>  0,		
		'label' =>  'LLL:EXT:mediaelements/locallang_db.xml:tx_mediaelements_item.tt_news_playlist',		
		'config' =>  array (
			'type' =>  'group',	
			'internal_type' =>  'db',	
			'allowed' =>  'tx_mediaelements_item',
			'size' =>  5,
			'minitems' =>  0,	
			'maxitems' =>  250,
			'show_thumbs' => 0
		)
	)
);

t3lib_div::loadTCA('tt_news');
t3lib_extMgm::addTCAcolumns('tt_news',$tempColumns,1);
t3lib_extMgm::addToAllTCAtypes('tt_news','tx_mediaelements_playlist', '', 'before:links');



if (TYPO3_MODE == 'BE') {
	$TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['tx_mediaelements_pi1_wizicon'] = t3lib_extMgm::extPath($_EXTKEY).'pi1/class.tx_mediaelements_pi1_wizicon.php';
}

t3lib_extMgm::addStaticFile($_EXTKEY,'static/', 'MediaElements');
?>