<?php
class tx_mediaelementshook {
	function includeJSandCSS($params, $pObj) {
		if(TYPO3_MODE == 'FE') {
			$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['mediaelements']);
			if($confArr['alternativePluginPath']) {
				$pluginPath = $confArr['pluginPath']; 
				if (!strcmp(substr($pluginPath, 0, 4), 'EXT:')) {
					list($extKey, $extInnerPath) = explode('/', substr($pluginPath, 4), 2);
					if ($extKey && t3lib_extMgm::isLoaded($extKey)) {
						$extPath = t3lib_extMgm::extPath($extKey);
						$pluginPath = substr($extPath, strlen(PATH_site)) . $extInnerPath;
					}
				}
				if($confArr['autoSiteUrl']) { 
					$pluginPath = t3lib_div::getIndpEnv('TYPO3_SITE_URL').$pluginPath; 
				}
				$pluginPath = 'pluginPath: \''.$pluginPath.'\','; 
			}			

			$extConf = $GLOBALS['TSFE']->tmpl->setup['plugin.']['tx_mediaelements_pi1.']; 
			if($extConf['jQueryRes']) $jsFile[] = $extConf['jQueryRes'];
			if($extConf['mediaelementsJSRes']) $jsFile[] = $extConf['mediaelementsJSRes'];

			if($extConf['cssFile']) $cssFile[] = $extConf['cssFile'];
			if($extConf['cssFilePlaylist']) $cssFile[] = $extConf['cssFilePlaylist'];
			
			$jsMinify = ($extConf['jsMinify'] AND $extConf['jsMinify'] !='false') ? 1 : 0;
			$cssMinify = ($extConf['cssMinify'] AND $extConf['cssMinify'] !='false') ? 1 : 0;			
			
		
			if ($GLOBALS['TSFE']->config['config']['moveJsFromHeaderToFooter']) {
				$section = 2;
			} else {
				$section = 1;
			}
		
			if (count($jsFile) > 0) {
				foreach ($jsFile as $jsToLoad) {
					$file = $GLOBALS['TSFE']->tmpl->getFileName($jsToLoad);
					if ($file) {
						$params['jsFiles'][$file] = array(
							'type' => 'text/javascript',
							'section' => $section,
							'compress' => $jsMinify,
							'forceOnTop' => 0,
							'allWrap' => ''
						);
					} else {
						t3lib_div::devLog("'{$jsToLoad}' does not exists!", $this->extKey, 2);
					}
				}
			}
			
			$code = '
				$(\'audio,video\').mediaelementplayer({
					'.$pluginPath.'
					success:  function (mediaElement, domObject) { 
						mediaElement.addEventListener("ended", function(e){ 
							// Revert to the poster image when ended
							var $thisMediaElement = (mediaElement.id) ? jQuery("#"+mediaElement.id) : jQuery(mediaElement);
							$thisMediaElement.parents(".mejs-inner").find(".mejs-poster").show();
						});
					}
				});
				
				if(navigator.userAgent.match(/(iPhone|iPod|iPad)/i) != null) 
				{
					$(\'head\').append(\'<style type="text/css"><!-- .mejs-overlay-play,.mejs-poster {display: none;}--></style>\'); 
				}
				'; 
				
			$params['jsInline']['mediaelements']['code'] = $code; 
			
			if (count($cssFile) > 0) {
				foreach ($cssFile as $cssToLoad) {
					$css = $GLOBALS['TSFE']->tmpl->getFileName($cssToLoad);
					if ($css) {
						$params['cssFiles'][$css] = array(
							'rel' => 'stylesheet',
							'media' => 'all',
							'title' => '',
							'compress' => $cssMinify,
							'forceOnTop' => 0,
							'allWrap' => '' 
						);
					
					} else {
						t3lib_div::devLog("'{$cssToLoad}' does not exists!", $this->extKey, 2);
					}
				}
			}
		}
    }
}
?>